1. Buyer Management
v1.0 (Deprecated)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Create Fiat Account Application
        • Get Fiat Account Application Status
        • Fiat Account Application Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Withdrawal
        • Get List of Currencies that Supports Same-Name Withdrawal
        • Create Fiat Withdrawal
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
            POST
          • Get Buyer
            GET
          • Update Buyer
            POST
          • Buyer Status Webhook
            POST
        • Create Collection Wallet
          POST
        • Update Collection Wallet
          POST
        • Get Collection Wallet
          GET
        • Get Crypto Collection
          GET
        • Update Co-KYT status
          POST
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • [Deprecated] Upload File
  1. Buyer Management

Update Buyer

POST
/v1.0/crm/addressBook/updateBuyer
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
To update buyer wallet related details.

Request

Authorization
Body Params application/json

Example
{
    "buyerId": "string",
    "walletType": 1,
    "platformName": "string",
    "platformUsername": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1.0/crm/addressBook/updateBuyer' \
--header 'Content-Type: application/json' \
--data-raw '{
    "buyerId": "string",
    "walletType": 1,
    "platformName": "string",
    "platformUsername": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "buyerId": "string",
        "type": 1,
        "walletType": 1,
        "platformName": "string",
        "platformUsername": "string",
        "customerDetails": {
            "personalDetails": {
                "firstName": "string",
                "middleName": "string",
                "lastName": "string",
                "identityType": 1,
                "identityNumber": "string",
                "dateOfBirth": "2019-08-24",
                "placeOfBirth": "string",
                "residentialAddress": {
                    "country": "string",
                    "state": "string",
                    "city": "string",
                    "postcode": "string",
                    "addressLine1": "string",
                    "addressLine2": "string"
                }
            }
        },
        "clientReference": "string",
        "participantCode": "string",
        "updateAt": 0
    }
}
Modified at 2026-04-02 07:32:36
Previous
Get Buyer
Next
Buyer Status Webhook
Built with